Bug 58115 - courier and pf, both want UID=62 fix either pf or courier
Summary: courier and pf, both want UID=62 fix either pf or courier
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-16 10:20 UTC by Dennis Berger
Modified: 2003-12-19 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Berger 2003-10-16 10:20:23 UTC
	try to install mail/courier and security/pf from ports. It will fail
	because both installscripts want UID=62.

Fix: 

fix installscript in pf to use another UID...
Comment 1 Oliver Eikemeier 2003-10-16 11:55:13 UTC
>>Description:
> 
> 	try to install mail/courier and security/pf from ports. It will fail
> 	because both installscripts want UID=62.
> 
>>Fix:
> 
> 	fix installscript in pf to use another UID...

The official authority is the FreeBSD Porter's Handbook, 15.11 UIDs:
  http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-uid.html

So it seems like mail/courier has to be changed...
Comment 2 Kris Kennaway freebsd_committer 2003-11-16 01:13:29 UTC
State Changed
From-To: open->analyzed

I have marked courier BROKEN on the basis that it did not register 
in the porter's handbook, but pf did and therefore pf wins.  The port 
is unmaintained, so someone will either need to submit a PR to fix 
courier, or the port will be removed at a later date.
Comment 3 Clement Laforet freebsd_committer 2003-12-18 23:56:33 UTC
State Changed
From-To: analyzed->closed

Sergei updated courier port and assigned a new IUD to courier user on 2003/12/11.